%global pypi_name scitokens

Name:           python-%{pypi_name}
Version:        1.8.1
Release:    	2%{?dist}
Summary:        SciToken reference implementation library

License:        Apache-2.0
URL:            https://scitokens.org
Source0:        %{pypi_source %{pypi_name}}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

BuildRequires:  python3-cryptography
BuildRequires:  python3-pytest
BuildRequires:  python3-jwt >= 1.6.1
BuildRequires:  python3-requests

%description
SciToken reference implementation library

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
SciToken reference implementation library

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%pytest --verbose -ra tests/ --no-network

%files -n python3-%{pypi_name}
%license LICENSE
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py*.egg-info
%doc README.rst
%{_bindir}/scitokens-admin-create-key
%{_bindir}/scitokens-admin-create-token
%{_bindir}/scitokens-verify-token

%changelog
* Tue Sep 3 2024 Ze Zhang <bbrucezhang@tencent.com> - 1.8.1-2
- [Type] other
- [DESC] Remove not used macors

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.1-1
- initial build
